<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionViewOptics Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d12/class_action_view_optics.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionViewOptics Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionViewOptics:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d12/class_action_view_optics.png" usemap="#ActionViewOptics_map" alt=""/>
  <map id="ActionViewOptics_map" name="ActionViewOptics_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
<area href="../../d8/d4e/class_action_view_binoculars.html" alt="ActionViewBinoculars" shape="rect" coords="0,112,139,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a0570092a9b92374ab79b2eb7735e0d18"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a0570092a9b92374ab79b2eb7735e0d18">ActionViewOptics</a> ()</td></tr>
<tr class="separator:a0570092a9b92374ab79b2eb7735e0d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8db6b2e81015f4738925e1ba0a00e34c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a8db6b2e81015f4738925e1ba0a00e34c">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a8db6b2e81015f4738925e1ba0a00e34c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a167f958b9539e8ddfdc2ecb710177b96"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a167f958b9539e8ddfdc2ecb710177b96">IsFullBody</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a167f958b9539e8ddfdc2ecb710177b96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7931be7dc669c8a711283055419633a0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a7931be7dc669c8a711283055419633a0">HasProgress</a> ()</td></tr>
<tr class="separator:a7931be7dc669c8a711283055419633a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a520c56448964b3b28520a7822a73158a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a520c56448964b3b28520a7822a73158a">HasTarget</a> ()</td></tr>
<tr class="separator:a520c56448964b3b28520a7822a73158a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaec6b490246d9b13a7d9701a4f323159"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#aaec6b490246d9b13a7d9701a4f323159">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:aaec6b490246d9b13a7d9701a4f323159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a338af0eb7f93a701d1044014e53baf32"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a338af0eb7f93a701d1044014e53baf32">ActionConditionContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a338af0eb7f93a701d1044014e53baf32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a512587093e0b831e40c0e72253b042fc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a512587093e0b831e40c0e72253b042fc">OnStartAnimationLoopServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a512587093e0b831e40c0e72253b042fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad27f9fef32cf134abcb0e51abd63b5ad"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#ad27f9fef32cf134abcb0e51abd63b5ad">OnStartAnimationLoopClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ad27f9fef32cf134abcb0e51abd63b5ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a513639cdde8220032787c1c9a6283b78"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a513639cdde8220032787c1c9a6283b78">OnEndClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a513639cdde8220032787c1c9a6283b78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9fd48a2d1f01ccfa83f8927dff6c92d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#af9fd48a2d1f01ccfa83f8927dff6c92d">OnEndServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af9fd48a2d1f01ccfa83f8927dff6c92d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7ad0aa92e70a61b812d771c8d1bb08b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#af7ad0aa92e70a61b812d771c8d1bb08b">OnEndAnimationLoopClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af7ad0aa92e70a61b812d771c8d1bb08b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a675a7f8a7f9b8ae7520d724b93c07d6c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a675a7f8a7f9b8ae7520d724b93c07d6c">OnEndAnimationLoopServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a675a7f8a7f9b8ae7520d724b93c07d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b53ec41fe639503ba588e1e2d3f2600"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a4b53ec41fe639503ba588e1e2d3f2600">CanWork</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a4b53ec41fe639503ba588e1e2d3f2600"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a724b803f813601799326d5b616e4b435"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a724b803f813601799326d5b616e4b435">EnterOptics</a> (<a class="el" href="../../d2/d29/class_item_optics.html">ItemOptics</a> optic, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a724b803f813601799326d5b616e4b435"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de68571fe12a874ec3c3873ade2755d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d12/class_action_view_optics.html#a1de68571fe12a874ec3c3873ade2755d">ExitOptics</a> (<a class="el" href="../../d2/d29/class_item_optics.html">ItemOptics</a> optic, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a1de68571fe12a874ec3c3873ade2755d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0570092a9b92374ab79b2eb7735e0d18" name="a0570092a9b92374ab79b2eb7735e0d18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0570092a9b92374ab79b2eb7735e0d18">&#9670;&#160;</a></span>ActionViewOptics()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionViewOptics::ActionViewOptics </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aaec6b490246d9b13a7d9701a4f323159" name="aaec6b490246d9b13a7d9701a4f323159"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaec6b490246d9b13a7d9701a4f323159">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionViewOptics::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00037">37</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a338af0eb7f93a701d1044014e53baf32" name="a338af0eb7f93a701d1044014e53baf32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a338af0eb7f93a701d1044014e53baf32">&#9670;&#160;</a></span>ActionConditionContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionViewOptics::ActionConditionContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00047">47</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a4b53ec41fe639503ba588e1e2d3f2600" name="a4b53ec41fe639503ba588e1e2d3f2600"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b53ec41fe639503ba588e1e2d3f2600">&#9670;&#160;</a></span>CanWork()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionViewOptics::CanWork </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00152">152</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a8db6b2e81015f4738925e1ba0a00e34c" name="a8db6b2e81015f4738925e1ba0a00e34c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8db6b2e81015f4738925e1ba0a00e34c">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionViewOptics::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00011">11</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a724b803f813601799326d5b616e4b435" name="a724b803f813601799326d5b616e4b435"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a724b803f813601799326d5b616e4b435">&#9670;&#160;</a></span>EnterOptics()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionViewOptics::EnterOptics </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d29/class_item_optics.html">ItemOptics</a>&#160;</td>
          <td class="paramname"><em>optic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00168">168</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a1de68571fe12a874ec3c3873ade2755d" name="a1de68571fe12a874ec3c3873ade2755d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1de68571fe12a874ec3c3873ade2755d">&#9670;&#160;</a></span>ExitOptics()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionViewOptics::ExitOptics </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d29/class_item_optics.html">ItemOptics</a>&#160;</td>
          <td class="paramname"><em>optic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00177">177</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a7931be7dc669c8a711283055419633a0" name="a7931be7dc669c8a711283055419633a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7931be7dc669c8a711283055419633a0">&#9670;&#160;</a></span>HasProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionViewOptics::HasProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00022">22</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a520c56448964b3b28520a7822a73158a" name="a520c56448964b3b28520a7822a73158a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a520c56448964b3b28520a7822a73158a">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionViewOptics::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00027">27</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a167f958b9539e8ddfdc2ecb710177b96" name="a167f958b9539e8ddfdc2ecb710177b96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a167f958b9539e8ddfdc2ecb710177b96">&#9670;&#160;</a></span>IsFullBody()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionViewOptics::IsFullBody </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00017">17</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="af7ad0aa92e70a61b812d771c8d1bb08b" name="af7ad0aa92e70a61b812d771c8d1bb08b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7ad0aa92e70a61b812d771c8d1bb08b">&#9670;&#160;</a></span>OnEndAnimationLoopClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionViewOptics::OnEndAnimationLoopClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00132">132</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a675a7f8a7f9b8ae7520d724b93c07d6c" name="a675a7f8a7f9b8ae7520d724b93c07d6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a675a7f8a7f9b8ae7520d724b93c07d6c">&#9670;&#160;</a></span>OnEndAnimationLoopServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionViewOptics::OnEndAnimationLoopServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00142">142</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a513639cdde8220032787c1c9a6283b78" name="a513639cdde8220032787c1c9a6283b78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a513639cdde8220032787c1c9a6283b78">&#9670;&#160;</a></span>OnEndClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionViewOptics::OnEndClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00114">114</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="af9fd48a2d1f01ccfa83f8927dff6c92d" name="af9fd48a2d1f01ccfa83f8927dff6c92d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9fd48a2d1f01ccfa83f8927dff6c92d">&#9670;&#160;</a></span>OnEndServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionViewOptics::OnEndServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00123">123</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="ad27f9fef32cf134abcb0e51abd63b5ad" name="ad27f9fef32cf134abcb0e51abd63b5ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad27f9fef32cf134abcb0e51abd63b5ad">&#9670;&#160;</a></span>OnStartAnimationLoopClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionViewOptics::OnStartAnimationLoopClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00102">102</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<a id="a512587093e0b831e40c0e72253b042fc" name="a512587093e0b831e40c0e72253b042fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a512587093e0b831e40c0e72253b042fc">&#9670;&#160;</a></span>OnStartAnimationLoopServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionViewOptics::OnStartAnimationLoopServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html#l00090">90</a> of file <a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d1/d1c/_action_view_optics_8c_source.html">ActionViewOptics.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d12/class_action_view_optics.html">ActionViewOptics</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
